Create Provider Tool
curl --request POST \
--url https://api.example.com/providers/{id}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": {
"providerID": "kSuB9Gf6aD4",
"method": "GET",
"path": "/users/{id}",
"name": "makePayment",
"title": "Make Payment",
"description": "<string>",
"pathArgsJSONSchema": {},
"queryArgsJSONSchema": {},
"reqBodyJSONSchema": {},
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"oauth2Scopes": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/providers/{id}/tools"
payload = { "tool": {
"providerID": "kSuB9Gf6aD4",
"method": "GET",
"path": "/users/{id}",
"name": "makePayment",
"title": "Make Payment",
"description": "<string>",
"pathArgsJSONSchema": {},
"queryArgsJSONSchema": {},
"reqBodyJSONSchema": {},
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"oauth2Scopes": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: {
providerID: 'kSuB9Gf6aD4',
method: 'GET',
path: '/users/{id}',
name: 'makePayment',
title: 'Make Payment',
description: '<string>',
pathArgsJSONSchema: {},
queryArgsJSONSchema: {},
reqBodyJSONSchema: {},
headers: [{key: '<string>', value: '<string>'}],
oauth2Scopes: ['<string>']
}
})
};
fetch('https://api.example.com/providers/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": {
"id": "kSuB9Gf6aD4",
"providerID": "kSuB9Gf6aD4",
"method": "GET",
"path": "/users/{id}",
"name": "makePayment",
"title": "Make Payment",
"description": "<string>",
"pathArgsJSONSchema": {},
"queryArgsJSONSchema": {},
"reqBodyJSONSchema": {},
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"oauth2Scopes": [
"<string>"
]
}
}Provider Tools
Create Provider Tool
POST
/
providers
/
{id}
/
tools
Create Provider Tool
⌘I